CVE-2000-0583
CVSS5.0
发布时间 :2000-06-30 00:00:00
修订时间 :2008-09-10 15:05:09
NMCO    

[原文]vchkpw program in vpopmail before version 4.8 does not properly cleanse an untrusted format string used in a call to syslog, which allows remote attackers to cause a denial of service via a USER or PASS command that contains arbitrary formatting directives.


[CNNVD]vpopmail格式化字符串借助用户输入漏洞(CNNVD-200006-114)

        vpopmail 4.8版本之前的vchkpw程序无法正确清洗调用到syslog的非信任格式化字符串。远程攻击者借助包含任意格式化指令的USER 或PASS命令导致拒绝服务漏洞。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:inter7:vpopmail_vchkpw:4.7
cpe:/a:inter7:vpopmail_vchkpw:4.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0583
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0583
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200006-114
(官方数据源) CNNVD

- 其它链接及资源

http://www.vpopmail.cx/vpopmail-ChangeLog
(UNKNOWN)  CONFIRM  http://www.vpopmail.cx/vpopmail-ChangeLog
http://www.securityfocus.com/templates/archive.pike?list=1&msg=395BD2A8.5D3396A7@secureaustin.com
(VENDOR_ADVISORY)  BUGTRAQ  20000626 vpopmail-3.4.11 problems
http://www.securityfocus.com/bid/1418
(UNKNOWN)  BID  1418

- 漏洞信息

vpopmail格式化字符串借助用户输入漏洞
中危 格式化字符串
2000-06-30 00:00:00 2005-05-02 00:00:00
远程  
        vpopmail 4.8版本之前的vchkpw程序无法正确清洗调用到syslog的非信任格式化字符串。远程攻击者借助包含任意格式化指令的USER 或PASS命令导致拒绝服务漏洞。

- 公告与补丁

        Version 4.8 of vpopmail is not vulnerable to this program. Upgrades can be found at
        http://www.inter7.com/vpopmail
        Inter7 vpopmail (vchkpw) 4.5
        
        Inter7 vpopmail (vchkpw) 4.7
        

- 漏洞信息

362
vpopmail vchkpw USER/PASS Command Format String
Local / Remote, Context Dependent Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2000-06-26 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站